Bug 222988 - mail/postfix: use ECHO_CMD instead of ECHO
Summary: mail/postfix: use ECHO_CMD instead of ECHO
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-13 18:36 UTC by Franco Fichtner
Modified: 2017-12-31 13:29 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback-


Attachments
change ECHO to ECHO_CMD (1.37 KB, patch)
2017-10-13 18:36 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2017-10-13 18:36:51 UTC
Created attachment 187146 [details]
change ECHO to ECHO_CMD

Hi,

This was fun to track down, but took a while...

# make -s VECHO
true

# make -s VECHO_CMD
echo

So when using "make -s install" the build can fail because the essential modifications to the port build are not made correctly.  A patch is attached.


Cheers,
Franco
Comment 1 Kurt Jaeger freebsd_committer 2017-11-22 14:00:11 UTC
testbuilds@work
Comment 2 commit-hook freebsd_committer 2017-11-22 14:46:03 UTC
A commit references this bug:

Author: pi
Date: Wed Nov 22 14:45:17 UTC 2017
New revision: 454689
URL: https://svnweb.freebsd.org/changeset/ports/454689

Log:
  mail/postfix: use ECHO_CMD instead of ECHO

  - When using "make -s install" the build can fail because the
    essential modifications to the port build are not made correctly.
    # make -s VECHO
    true
    # make -s VECHO_CMD
    echo

  PR:		222988
  Submitted by:	Franco Fichtner <franco@opnsense.org>
  Approved by:	ohauer (maintainer timeout)

Changes:
  head/mail/postfix/Makefile
Comment 3 Kurt Jaeger freebsd_committer 2017-11-22 18:21:44 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2017-12-31 12:08:22 UTC
A commit references this bug:

Author: ohauer
Date: Sun Dec 31 12:07:29 UTC 2017
New revision: 457684
URL: https://svnweb.freebsd.org/changeset/ports/457684

Log:
  - update to 3.3-20171229
  - s/ECHO/ECHO_CMD  [1]

  PR:		222988 [1]
  Submitted by:	Franco Fichtner [1]

Changes:
  head/mail/postfix-current/Makefile
  head/mail/postfix-current/distinfo
Comment 5 commit-hook freebsd_committer 2017-12-31 12:55:06 UTC
A commit references this bug:

Author: ohauer
Date: Sun Dec 31 12:54:42 UTC 2017
New revision: 457687
URL: https://svnweb.freebsd.org/changeset/ports/457687

Log:
  - s/ECHO/ECHO_CMD/

  PR:		222988
  Submitted by:	Franco Fichtner

Changes:
  head/mail/postfix211/Makefile
Comment 6 Franco Fichtner 2017-12-31 13:29:47 UTC
Thank you! :)